QGIS Application - Feature request #2518

column limit when copying to clipboard from the table of attibutes: add a checkbox to avoid copy
nodes coordinates

2010-03-07 09:35 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12578
Description

There seem to be a limit when copying records in the table of attributes and pasting them into a text editor. | have tested a few vectors and
the limit seems to be around 65000 columns (it copy/paste also the nodes coordinate, that translates in different columns for each node).
I cannot find any reference about this limit (if is known).

A warning should be shown when is the case, maybe when the "copy selected rows to clipboard (ctrl-c)" is clicked.

In general | found of a little use to have copied/pasted also the nodes coordinates, so it will see very well suited a checkbox to choose
copy or not also the nodes coordinates.

History

#1 - 2010-03-20 10:31 AM - Paolo Cavallini

| think the default should be not to copy coordinates

#2 - 2011-12-16 01:57 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2012-12-10 02:28 PM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to fixed

the option is now available in general options.
